---
search:
  tags:
    - agent-sessions
    - GET
seo:
  description: >-
    List agent receipts. Reference for the GET
    /workspaces/{organizationId}/agent/receipts endpoint in the Pile API.
sidebar:
  label: List agent receipts
  badge: GET
title: List agent receipts
type: openapi-operation
---
`GET /workspaces/{organizationId}/agent/receipts`

**Responses**

- `200` — Run receipts — per-run usage + cost records

Response example, 200:

```json
{
  "receipts": [
    {
      "id": "string",
      "organizationId": "string",
      "sessionId": "string",
      "issueId": "string",
      "agentId": "string",
      "stepKey": "string",
      "dealId": "string",
      "status": "string",
      "model": "string",
      "effort": "string",
      "inputTokens": 0,
      "outputTokens": 0,
      "totalTokens": 0,
      "toolCalls": 0,
      "costMicros": 0,
      "externalSpendMicros": 0,
      "totalCostMicros": 0,
      "costSource": "reported",
      "capExceeded": 0,
      "stopReason": "string",
      "startedAt": "string",
      "endedAt": "string",
      "durationMs": 0,
      "createdAt": "string",
      "updatedAt": "string"
    }
  ]
}
```
